# 2.0.1-1

- feat: uses tini as entrypoint
- maintenance: bump `efs-utils` to `2.0.1`

# 1.35.2-1

- maintenance: bump `efs-utils` to `1.35.2`
- fix: dns-check function on entrypoint to allow both `A` and `TXT` records

# 1.35.1-2

- fix: entrypoint failed if the URI passed is a DNS TXT type record

# 1.35.1-1

- feat: adds botocore as strong dependency to allow full AWS authentication methods
- fix: disable debug logging by default
- fix: improve debug logging
- maintenance: bump EFS utils to `1.35.1`
- chore: bump pre-commit hooks
- doc: update changelog to match Wildbeaver standards

# 2.2.0

- feat: implements retry on EFS mount for better resilience
- doc: updates LICENSE
- maintenance: bumps `efs-utils` to `1.35.0`

# 2.1.0

- feat: uses passed DNS name as defaults values for `efs-uri`, `region` and `dns-suffix`
- feat: adds the ability to debug the entrypoint by setting a `DEBUG` env var
- fix: makes mount work by default on regions other than `us-east-1`
- fix: removes sleeps when they are not reasons to wait
- doc: better explains how to use the container
- chore: enables and fixes shellcheck errors

# 2.0.2

- fix: wrong shebang for healthcheck

# 2.0.1

- fix: wrong shebang for entrypoint
- doc: missing healthcheck for simple example

# 2.0.0

- feat: adds basic CIS hardening
- feat: (BREAKING) removes `HEALTHCHECK` in the build process because it’s not OCI-compliant
- feat: use `debian-slim` base image instead of ubuntu
- maintenance: bumps `efs-utils` to `1.34.5`
- chore: sets pre-commit to a more up to date standard
- chore: uses reusable container pipeline
- refactor: renamed `Dockerfile` to `Containerfile`
- refactor: revamp `Containerfile` to latest practices

# 1.5.0

- maintenance: bumps `efs-utils` to `1.34.1`

# 1.4.2

- fix: checks up to `6` times instead of `3` to mount an EFS, because first mount on AWS can take ages
- fix: check DNS to be ready before attempting to mount

# 1.4.1

- maintenance: pin ubuntu base version to `22.04`
- maintenance: pin EFS utils to `1.33.2`
- fix: makes sure the EFS is writable before sending notify signal
- fix: use docker dind 20+ for builds

# 1.4.0

- feat: Add docker healthcheck
- fix: run efs watchdog manually
- maintenance: pin EFS utils to `1.31.3`
- chore: allow 1 error with dockerlint because of issue with HEALTHCHECK
- chore: remove git protocol for pre-commit hook
- chore: bump pre-commit hook to `4.1.0`

# 1.3.0

- feat: add DNS TXT record support
- chore: ignore mega-lint yaml_vbr plugin

# 1.2.0

- feat: add `SIGRTMIN+3` as standard stop signal (used by `podman` as standard stop signal with systemd)
- refactor: rename entrypoint to match with `podman` systemd standard
- fix: return `fusermount` exit code instead of signal code

# 1.1.0

- feat: Add systemd notification when EFS in ready
- doc: Fix repository URL

# 1.0.0

- feat: initial version

# 0.0.0

- tech: initial version
